<?

//==============================================================
// Wiedergabelisten aus Squeezeserver nach IPS-Variable
//==============================================================

if($array[0] == 'playlists') {
	if($array[1] == '0') {

		// Associations lschen
		$Playlists = IPS_GetVariableProfile(".SQ_Playlist") ;                     // Variablenprofil in Array schreiben
		$CountPlaylists = count ($Playlists['Associations']);                     // Anzahl Assoziationen auslesen

		for($del = 1; $del < $CountPlaylists + 1; $del++) {
			IPS_SetVariableProfileAssociation(".SQ_Playlist", $del, "", "", -1);       // Rekursiv berschreiben
		}

		IPS_Sleep(500);                                                           // IPS zeit geben die Ass. zu lschen
		
		// Associations mit Wiedergabelisten aus Squeezeserver fllen
		// array besteht aus "playlist / startwert / endwert / playlistname / playlist_id / ..... / chr(13)
		// die ersten 3 Werte und das chr(13) wird entfernt
		// durch 2 geteilt und 1 dazu da array bei 1 beginnt, ergibt anzahl der Playlisten ((count($array)-4)/2)+1
		for($x=1; $x < ((count($array)-4)/2)+1; $x++ ) {
			$y = ($x*2)+2;
			$playlist = urldecode ( substr ($array[$y], 11) );
			$playlist_id = urldecode ( substr ($array[$y-1], 5 ) );
			IPS_SetVariableProfileAssociation(".SQ_Playlist", $x, $playlist, $playlist_id, -1);
			
		}

	}
}

//======================================================================
// Wiedergabelistenverarbeitung anstossen wenn eine neue Wiedergabeliste
// angelegt und benannte wurde
//======================================================================

if($array[0] == 'playlists') {
	if($array[1] == 'rename') {
      $cmd = "playlists 0 20";
		CSCK_SendText(SqueezeServer, $cmd.chr(13));                               // Playlists abrufen
	}
}


//===========================================================================
// Wiedergabelistenprofil aktualisieren wenn im Squeezeserver gelscht wurde
//===========================================================================

if($array[0] == 'playlists') {
	if($array[1] == 'delete') {

		// alle Associations lschen da sonst die letzte stehen bleibt
		$Playlists = IPS_GetVariableProfile(".SQ_Playlist") ;                     // Profil in Array schreiben
		$CountPlaylists = count ($Playlists['Associations']);                     // Anzahl Associations

		for($del = 1; $del < $CountPlaylists + 1; $del++) {
			IPS_SetVariableProfileAssociation(".SQ_Playlist", $del, "", "");       // entsprechend Anzahl lschen / berschreiben
		}

		IPS_Sleep(1000);

      $cmd = "playlists 0 20";
		CSCK_SendText(SqueezeServer, $cmd.chr(13));                               // Playlists abrufen

		IPS_Sleep(1000);
		
		// Associations mit Wiedergabelisten aus Squeezeserver fllen
		// array besteht aus "playlist / startwert / endwert / playlistname / playlist_id / ..... / chr(13)
		// die ersten 3 Werte und das chr(13) wird entfernt
		// durch 2 geteilt und 1 dazu da array bei 1 gebinnt, ergibt anzahl der Playlisten ((count($array)-4)/2)+1
		for($x=1; $x < ((count($array)-4)/2)+1; $x++ ) {
			$y = ($x*2)+2;
			$playlist = urldecode ( substr ($array[$y], 11) );
			$playlist_id = urldecode ( substr ($array[$y-1], 5 ) );
			IPS_SetVariableProfileAssociation(".SQ_Playlist", $x, $playlist, $playlist_id);

		}
	}
}



//===========================================================================
// Antwort aus Playlistenausleseskript (33443 /*[Tools\Squeezebox\Auswertung Squeezeboxen\Wiedergabelisten Inhalte\Playliste anzeigen Entwicklungsskript]*/) nach IPS schreiben
//===========================================================================

if($array[0] == 'playlists' and $array[1] == 'tracks' and $array[2] == 0) {
	SetValue(43991 /*[Tools\Squeezebox\Auswertung Squeezeboxen\Wiedergabelisten Inhalte\Wiedergabelisten (Rohdaten)]*/, $antwort);
}
?>